Kepler - Bug #4480

can't view more than one of workflow editor, report designer, and report viewer at a time

10/16/2009 09:47 PM - Oliver Soong

Status: In Progress Start date: 10/16/2009
Priority: Normal Due date:

Assignee: debi staggs % Done: 0%
Category: reporting Estimated time: 0.00 hour
Target version: 3.X.Y Spent time: 0.00 hour
Bugzilla-ld: 4480

Description

It's a little frustrating to have to constantly find that little menu in the upper right hand corner and flip between the workflow editor,
report designer, and report viewer, especially when | have more than enough screen real estate. If | open a composite actor, | get a
new window. Maybe the report designer and viewer could open in similar new windows? It might also help resolve the problem of

there being different "reports" for a workflow and for its composite actors.

I'm thinking of report designer and report viewer buttons. They each bring the appropriate window for that workflow into focus,
opening/creating it if necessary. That's just my own thought, and any way to view things side by side should help.

History

#1 - 12/24/2009 01:16 PM - ben leinfelder

we've changed it a bit: two views - the "reporting” view has 2 tabs: layout and instance. but you do still have to switch to the WF and back to make

changes to the model.

#2 - 01/05/2010 10:04 AM - ben leinfelder

retargeting to post-2/wrp

#3 - 01/14/2010 09:47 AM - ben leinfelder

This would be part of an entire Kepler Ul redesign.

#4 - 01/14/2010 09:57 AM - ben leinfelder

save for later as open...

#5 - 03/27/2013 02:27 PM - Redmine Admin

Original Bugzilla ID was 4480
